Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
charging-sessions
List Charging Sessions
curl --request GET \
  --url https://connect.cariqa.com/api/v1/users/{user_id}/charging-sessions/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "duration": 123,
      "consumed_energy": "<string>",
      "is_active": true,
      "evse_id": "<string>",
      "station_info": {
        "station_name": "<string>",
        "station_address": "<string>",
        "country": "<string>",
        "station_speed": "<string>",
        "connector_standard": "<string>",
        "connector_power": 123,
        "support_phone": "<string>",
        "latitude": "<string>",
        "longitude": "<string>"
      },
      "is_partner": true,
      "logo_url": "<string>",
      "user_facing_session_prices": {
        "kwh_price": "<string>",
        "time_price": "<string>",
        "session_fee": "<string>",
        "blocking_fee": "<string>",
        "starting_fee": "<string>",
        "grace_period_minutes": 123,
        "blocking_cap": "<string>",
        "currency": "<string>"
      },
      "session_cost": {
        "kwh_cost": "<string>",
        "time_cost": "<string>",
        "session_fee_cost": "<string>",
        "blocking_fee_cost": "<string>",
        "starting_fee_cost": "<string>",
        "invoice_view": "<string>",
        "invoice_download": "<string>",
        "invoice_vat": "<string>",
        "invoice_summary": "<string>",
        "invoice_credits": "<string>",
        "invoice_discount": "<string>",
        "currency": "<string>"
      },
      "rates": 1
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

user_id
string
required

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"